By using this site, you agree to our updated Privacy Policy and our Terms of Use. Manage your Cookies Settings.
444,190 Members | 1,653 Online
Bytes IT Community
+ Ask a Question
Need help? Post your question and get tips & solutions from a community of 444,190 IT Pros & Developers. It's quick & easy.

Warning instaling python-2.3.5 on FreeBSD 5.3

P: n/a
i've got problem installing python-2.3.5 from sources on FreeBSD 5.3

root@server# ./configure > conf_log
configure: WARNING: curses.h: present but cannot be compiled
configure: WARNING: curses.h: check for missing prerequisite
headers?
configure: WARNING: curses.h: see the Autoconf documentation
configure: WARNING: curses.h: section "Present But Cannot Be
Compiled"
configure: WARNING: curses.h: proceeding with the preprocessor's result
configure: WARNING: curses.h: in the future, the compiler will take
precedence
configure: WARNING: ## --------------------------------- ##
configure: WARNING: ## Report this to the python lists. ##
configure: WARNING: ## --------------------------------- ##
configure: WARNING: ncurses.h: present but cannot be compiled
configure: WARNING: ncurses.h: check for missing prerequisite
headers?
configure: WARNING: ncurses.h: see the Autoconf documentation
configure: WARNING: ncurses.h: section "Present But Cannot Be
Compiled"
configure: WARNING: ncurses.h: proceeding with the preprocessor's
result
configure: WARNING: ncurses.h: in the future, the compiler will take
precedence
configure: WARNING: ## --------------------------------- ##
configure: WARNING: ## Report this to the python lists. ##
configure: WARNING: ## --------------------------------- ##

Can anybody explain me what kind of problem do i have and how much
serious it could be?
Will be gratefull for any help. Sorry, english is not my native
language :)

Dec 29 '05 #1
Share this Question
Share on Google+
1 Reply


P: n/a
sp****@naumen.ru wrote:
i've got problem installing python-2.3.5 from sources on FreeBSD 5.3

root@server# ./configure > conf_log
configure: WARNING: curses.h: present but cannot be compiled
configure: WARNING: curses.h: check for missing prerequisite
headers?
configure: WARNING: curses.h: see the Autoconf documentation
configure: WARNING: curses.h: section "Present But Cannot Be
Compiled"
configure: WARNING: curses.h: proceeding with the preprocessor's result
configure: WARNING: curses.h: in the future, the compiler will take
precedence
configure: WARNING: ## --------------------------------- ##
configure: WARNING: ## Report this to the python lists. ##
configure: WARNING: ## --------------------------------- ##
configure: WARNING: ncurses.h: present but cannot be compiled
configure: WARNING: ncurses.h: check for missing prerequisite
headers?
configure: WARNING: ncurses.h: see the Autoconf documentation
configure: WARNING: ncurses.h: section "Present But Cannot Be
Compiled"
configure: WARNING: ncurses.h: proceeding with the preprocessor's
result
configure: WARNING: ncurses.h: in the future, the compiler will take
precedence
configure: WARNING: ## --------------------------------- ##
configure: WARNING: ## Report this to the python lists. ##
configure: WARNING: ## --------------------------------- ##

Can anybody explain me what kind of problem do i have and how much
serious it could be?


your system contains slightly broken include files. see

http://www.python.org/sf/1244610

for a discussion and a workaround (for openbsd), and

http://www.FreeBSD.org/cgi/query-pr.cgi?pr=84219

for a freebsd-specific fix.

</F>

Dec 29 '05 #2

This discussion thread is closed

Replies have been disabled for this discussion.